using System.Windows;

namespace XLAB
{
    public partial class VerificationReportsWindow : Window
    {
        private readonly VerificationReportsWindowViewModel _viewModel;

        public VerificationReportsWindow()
        {
            InitializeComponent();
            _viewModel = new VerificationReportsWindowViewModel(new VerificationReportsService(), new DialogService(this));
            DataContext = _viewModel;
        }

        private async void Window_Loaded(object sender, RoutedEventArgs e)
        {
            await _viewModel.InitializeAsync();
        }
    }
}
